#ifndef STATUS_MGR_HPP_
#define STATUS_MGR_HPP_
#include <string>
/**
 * @brief 对调度状态切换进行管理，并对调度切换时历史进行记录
 * 
 * @version 0.1
 * @author pandx (dxpan2002@163.com)
 * @date 2026-01-21
 * @copyright Copyright (c) 2026
 */

typedef enum {
    kScheduleStatusNormal = 1,
    kScheduleStatusDebug = 2,
    kScheduleStatusUpgrade = 3
} ScheduleStatus;

ScheduleStatus get_schedule_status();
void set_schedule_status(ScheduleStatus status);
std::string get_status_desc(ScheduleStatus status);

#endif